diff --git a/src/bin/psql/startup.c b/src/bin/psql/startup.c
index 4e5021a..bdd10ba 100644
--- a/src/bin/psql/startup.c
+++ b/src/bin/psql/startup.c
@@ -275,8 +275,11 @@ main(int argc, char *argv[])
 	{
 		pset.logfile = fopen(options.logfilename, "a");
 		if (!pset.logfile)
+		{
 			fprintf(stderr, _("%s: could not open log file \"%s\": %s\n"),
 					pset.progname, options.logfilename, strerror(errno));
+			exit(EXIT_FAILURE);
+		}
 	}
 
 	/*
